%define anolis_release 0.1
%define packagename pasta
Name:           python-google-pasta
Version:        0.2.0
Release:        2.2.%{anolis_release}%{?dist}
Summary:        Enable python source code refactoring through AST modifications
License:        Apache-2.0
URL:            https://github.com/google/pasta/
Source:         https://github.com/google/pasta/archive/v%{version}.tar.gz#/%{packagename}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/google/pasta/commit/3451d8b9fb67a2fa3098edd73ea3dba98074d6dd Add test for ast node support
Patch0:         ast.patch
# PATCH-FIX-UPSTREAM https://github.com/google/pasta/commit/6179ebf76faf38430180232d0e86198429afcd33 Bugfix for parsing fstrings in multiple parts
Patch1:         fstrings.patch
# PATCH-FIX-UPSTREAM https://github.com/google/pasta/commit/386d94c04e8d10c945ec330debc3a018ed4e91a4 Add test goldens for python 3.9
Patch2:         golden39.patch
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python3-six
BuildArch:      noarch

%description
Enable python source code refactoring through AST modifications.

%package -n python3-google-pasta
Summary:        Enable python source code refactoring through AST modifications

%description -n python3-google-pasta
Enable python source code refactoring through AST modifications.

%prep
%setup -q -n %{packagename}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install
%fdupes %{buildroot}%{$python3_sitelib}

%check
%{__python3} -m pytest

%files -n python3-google-pasta
%doc README.md
%license LICENSE
%{python3_sitelib}/*egg-info/
%{python3_sitelib}/%{packagename}/

%changelog
* Tue Jul 13 2021 Weitao Zhou <yunqi.zwt@alibaba-inc.com> 0.2.0-2.2.1
- Rebuild for Anolis OS
- Removed python2 support
